V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
Distributions
Ubuntu
Fedora
CentOS
中文资源站
网易开源镜像站
15015613
V2EX  ›  Linux

arch 升级出错,求助

  •  
  •   15015613 ·
    yingziwu · 2016-12-19 15:34:36 +08:00 · 2851 次点击
    这是一个创建于 2629 天前的主题,其中的信息可能已经有所发展或是发生改变。

    输出:

    [1] arch@arch_me>sudo pacman  -Syu
    :: Synchronizing package databases...
     core is up to date
     extra is up to date
     community is up to date
    :: Starting full system upgrade...
    :: Replace kdegraphics-okular with extra/okular? [Y/n] y
    :: Replace libastro with extra/marble? [Y/n] y
    resolving dependencies...
    looking for conflicting packages...
    :: marble and libmarble4 are in conflict. Remove libmarble4? [y/N] y
    error: failed to prepare transaction (could not satisfy dependencies)
    :: libkgeomap4: removing libmarble4 breaks dependency 'libmarble4'
    [1] arch@arch_me>sudo pacman -R libmarble4
    checking dependencies...
    error: failed to prepare transaction (could not satisfy dependencies)
    :: libkgeomap4: removing libmarble4 breaks dependency 'libmarble4'
    

    今天升级 arch ,出错。

    不知道该如何解决, google 了一下,也没有找到好方法。

    不知各位有没有什么解决办法?

    PS:大概有 4 、 5 天没升级,也没多长时间呀

    PS2:

    arch@arch_me>pacman -Qi libmarble4
    Name            : libmarble4
    Version         : 15.08.3-2
    Description     : KDE4 Marble libraries
    Architecture    : x86_64
    URL             : http://kde.org/applications/education/marble/
    Licenses        : GPL  LGPL  FDL
    Groups          : None
    Provides        : kdeedu-marble
    Depends On      : qtwebkit  libastro  marble-data
    Optional Deps   : gpsd: GPS support
                      libwlocate: WLAN based geolocation
    Required By     : libkgeomap4
    Optional For    : None
    Conflicts With  : kdeedu-marble
    Replaces        : None
    Installed Size  : 12.82 MiB
    Packager        : Antonio Rojas <[email protected]>
    Build Date      : Tue 08 Dec 2015 10:59:04 PM CST
    Install Date    : Thu 27 Oct 2016 11:49:14 PM CST
    Install Reason  : Installed as a dependency for another package
    Install Script  : No
    Validated By    : Signature
    
    arch@arch_me>pacman -Si libmarble4
    error: package 'libmarble4' was not found
    
    第 1 条附言  ·  2016-12-19 18:35:36 +08:00
    问题已解决
    ```
    arch@arch_me>pactree -r libmarble4
    libmarble4
    └─libkgeomap4
    arch@arch_me>pacman -Qi libkgeomap4
    Name : libkgeomap4
    Version : 15.08.3-3
    Description : A wrapper around world map components for browsing and arranging photos on a map
    Architecture : x86_64
    URL : https://projects.kde.org/projects/kde/kdegraphics/libs/libkgeomap
    Licenses : GPL LGPL FDL
    Groups : None
    Provides : None
    Depends On : kdelibs libmarble4
    Optional Deps : None
    Required By : None
    Optional For : None
    Conflicts With : libkgeomap<15.11
    Replaces : libkgeomap<15.11
    Installed Size : 520.00 KiB
    Packager : Antonio Rojas <[email protected]>;
    Build Date : Thu 28 Apr 2016 06:56:28 PM CST
    Install Date : Thu 27 Oct 2016 11:49:14 PM CST
    Install Reason : Installed as a dependency for another package
    Install Script : No
    Validated By : Signature

    arch@arch_me>sudo pacman -Rs libkgeomap4
    ```
    @DaVinci42
    libmarble4 之前官方仓库里是有的,估计是后来移除了
    5 条回复    2016-12-20 18:08:11 +08:00
    mgna17
        1
    mgna17  
       2016-12-19 15:45:40 +08:00
    > marble and libmarble4 are in conflict. Remove libmarble4? [y/N] y
    > libkgeomap4: removing libmarble4 breaks dependency 'libmarble4'

    安装 A 需要删除 B ,但是 C 依赖 B ,需要放弃一个
    15015613
        2
    15015613  
    OP
       2016-12-19 18:07:49 +08:00
    @mgna17
    >[1] arch@arch_me>sudo pacman -R libmarble4
    >checking dependencies...
    >error: failed to prepare transaction (could not satisfy dependencies)
    >:: libkgeomap4: removing libmarble4 breaks dependency 'libmarble4'

    已尝试删除,但出错
    DaVinci42
        3
    DaVinci42  
       2016-12-19 18:21:05 +08:00
    libkgeomap4 是哪儿的包? AUR 也没有,删除试试?
    daya
        4
    daya  
       2016-12-20 17:21:14 +08:00
    平常无脑吹 Arch 的一大把,真正遇到问题了却没人过来帮忙,真是
    15015613
        5
    15015613  
    OP
       2016-12-20 18:08:11 +08:00
    @daya
    回答的人少,也许是问了没多久,我自己就把问题解决了的缘故
    关于   ·   帮助文档   ·   博客   ·   API   ·   FAQ   ·   我们的愿景   ·   实用小工具   ·   2573 人在线   最高记录 6543   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 26ms · UTC 04:15 · PVG 12:15 · LAX 20:15 · JFK 23:15
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.